#%define nver 2006.01.07
%define _name opal
%define pwlib_version 1.11.0

Name: libopal
Version: 2.3.0
Release: alt0.M30.0.1

Summary: Library for H323 spec

Url: http://www.openh323.org/

#Source: opal-%nver.tar.bz2
Source: http://snapshots.gnomemeeting.net/cvs/%_name-cvs.tar.gz
#Source: http://www.ekiga.org/downloads/beta2/sources/opal-%version.tar.bz2
License: MPL
Group: System/Libraries

Packager: Vitaly Lipatov <lav@altlinux.ru>

# Automatically added by buildreq on Sun Jan 22 2006
BuildRequires: gcc-c++ libSDL-devel libexpat-devel libldap-devel libpw-devel libsasl2-devel libspeex-devel libssl-devel libstdc++-devel

BuildPreReq: libpw-devel >= %pwlib_version
Obsoletes: libopenh323

%description
Open Phone Abstraction Library (aka OpenH323 v2)

%package devel
Summary: Development package for opal
Group: Development/Other
Requires: %name = %version
Requires: libpw-devel >= 1.9.0
Obsoletes: libopenh323-devel

%description devel
Header files for development with opal.

%prep
%setup -q -n %_name

%build
%configure \
	--enable-shared=yes --enable-static=no \
	--with-pic=yes --enable-audio --enable-video --enable-ixj \
	--disable-iax

make optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
make PREFIX=%prefix LIBDIR=%buildroot%_libdir DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc mpl-1.0.htm
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_datadir/%_name

%changelog
* Sun Feb 26 2006 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt0.M30.0.1
- backport to Compact 3.0

* Sat Feb 25 2006 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt0.1
- current cvs snapshot.

* Tue Feb 14 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.3-alt1
- new version
- add Obsoletes for libopenh323

* Sat Jan 21 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt1
- new version (release)

* Sat Jan 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.1.2-alt0.1.cvs20060107
- new version (actually is snapshot)
- initial build for ALT Linux Sisyphus

* Wed Mar 09 2005 Johnny Strom <johnny.strom@linuxvaasa.com> 1.15.3
- Adjusted for the 1.2.1 relase of gnomemeeting.

* Mon Feb 21 2005 Peter Robinson <pbrobinson@gmail.com> 2.1.0-1.FC3
- Initial OPAL rpm
